#!/usr/bin/python
# coding: utf8

# Can enable debug output by uncommenting:
#import logging
#logging.basicConfig(level=logging.DEBUG)

import time

import Adafruit_GPIO.SPI as SPI
import MAX6675

import datetime

# Define a function to convert celsius to fahrenheit.
def c_to_f(c):
        return c * 9.0 / 5.0 + 32.0



# Raspberry Pi software SPI configuration.
# CLK = 25
# CS  = 24
# DO  = 18
# sensor = MAX6675.MAX6675(CLK, CS, DO)

# Raspberry Pi hardware SPI configuration.
SPI_PORT   = 0
SPI_DEVICE = 0
sensor = MAX6675.MAX6675(spi=SPI.SpiDev(SPI_PORT, SPI_DEVICE))

print ('Press Ctrl-C to quit.')
while True:
	temp = sensor.readTempC()
	print ('Thermocouple Temperature: {0:0.3F}°C / {1:0.3F}°F'.format(temp, c_to_f(temp)))
	text_file=open("furnacedata.txt","a+")
	n= text_file.write(datetime.datetime.now().strftime("%I:%M:%S%p on %B %d,%Y"))
	n= text_file.write("--------------------")
	n= text_file.write(str (temp))
	time.sleep(1.0)
